#use appimage

Name:           flbmusic
Version:        1.2.1
Release:        %mkrel 1
Summary:     A Beautiful Music Player
Group:          Sound
License:        GPLv3+
URL:            https://flbmusic.pages.dev/
Source1:   %{name}.desktop
Source2:   %{name}.png
#-----------------------------------------------------------------

%description
Beautiful and Feature Rich Cross Platform Music Player and Downloader.

%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/FLB-Music/FLB-Music-Player/releases/download/v%{version}/FLB-Music-%{version}.AppImage 

install -Dm 0755 %{_sourcedir}/FLB-Music-%{version}.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus
/sbin/ldconfig

%postun
%clean_menus
/sbin/ldconfig

%changelog
* Sun Dec 04 2022 daniel - 1,2,1-1pclos2022
- new version
- fix download link in specfile

* Mon Aug 22 2022 tex - 1.2.0-1pclos2022
- create pkg
